aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2019-12-21 14:18:30 -0800
committerRobin H. Johnson <robbat2@gentoo.org>2019-12-21 14:18:30 -0800
commit2087fb2d3f56029ad2e5e29f30d4884d8e5c6579 (patch)
tree04b71608bbe21e88887d1b2bebb4608d2ae3b92a /snapshots-create.sh
parentsnapshots-create.sh: fix SC2006 (diff)
downloadmastermirror-scripts-2087fb2d3f56029ad2e5e29f30d4884d8e5c6579.tar.gz
mastermirror-scripts-2087fb2d3f56029ad2e5e29f30d4884d8e5c6579.tar.bz2
mastermirror-scripts-2087fb2d3f56029ad2e5e29f30d4884d8e5c6579.zip
snapshots-create.sh: fix SC2143
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
Diffstat (limited to 'snapshots-create.sh')
-rwxr-xr-xsnapshots-create.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/snapshots-create.sh b/snapshots-create.sh
index 277db73..9a42343 100755
--- a/snapshots-create.sh
+++ b/snapshots-create.sh
@@ -41,7 +41,7 @@ NICE="nice -n 10"
SIGNKEYID=${SIGNKEYID_snapshot}
# Verify signing key is available
-if [[ ! $(gpg --list-keys ${SIGNKEYID} | grep ${SIGNKEYID}) ]]; then
+if ! gpg --list-keys "${SIGNKEYID}" | grep -sq "${SIGNKEYID}"; then
echo "${SIGNKEYID} not imported! exiting"
exit 1
fi